
%define lib_major_qtsharp	0
%define lib_qtsharp	%mklibname qtsharp %{lib_major_qtsharp}


Name:		qtsharp
Summary: 	Qt# is a C# language binding for the Qt toolkit
Version: 	0.7.1
Release: 	2mdk
Epoch:		1
URL:		http://qtcsharp.sourceforge.net/
Source:     	%name-%version.tar.bz2

License:  	GPL
Group: 		Development/KDE and Qt
BuildRoot: 	%_tmppath/%name-%version-%release-root

BuildRequires:  gettext 
BuildRequires:	kdelibs-devel
BuildRequires:	libbzip2-devel
BuildRequires:  libbinutils
BuildRequires:  libtermcap
BuildRequires:	texinfo
BuildRequires:	mono
Requires:	%{lib_qtsharp} = 1:%version-%release

%description
Qt# - A cross-platform GUI toolkit for Mono and Portable.Net is
a set of classes that bind any CIL language to the Qt toolkit.
The bindings are in alpha phase right now, but development is moving quickly.


%package -n %{lib_qtsharp}
Summary:	Qt bindings for C#
Group:		Development/KDE and Qt

%description -n %{lib_qtsharp}
This package provides Qt bindings for C#.

%package -n %{lib_qtsharp}-devel
Summary:	Header files for libqtc#
Group:		Development/KDE and Qt
Requires:	%{lib_qtsharp} = 1:%version
Provides:	qtsharp-devel = 1:%version-%release
Provides:	libqtsharp-devel

%description -n %{lib_qtsharp}-devel
Header files for libqtc#.


%prep
%setup -q -n %name

%build
qmake "INSTALLDIR=${RPM_BUILD_ROOT}/usr/lib"

export QTDIR="/usr/lib/qt3"

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif

make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

make DESTDIR=%buildroot install

# Generate a wrapper script
mkdir -p %buildroot/%_bindir
echo \#\!/bin/bash > $RPM_BUILD_ROOT%{_bindir}/uicsharp
echo "%{_bindir}/mono %{_bindir}/uicsharp.exe" >> $RPM_BUILD_ROOT%{_bindir}/uicsharp
chmod 755 $RPM_BUILD_ROOT%{_bindir}/uicsharp

#remove cvs files and dirs before packaging it
cd src/examples
rm -rf `find . -type f -a -name .cvsignore`
rm -rf `find . -type d -a -name CVS`
cd -

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi


%post -n %{lib_qtsharp} -p /sbin/ldconfig

%postun -n %{lib_qtsharp} -p /sbin/ldconfig


%files -n qtsharp
%defattr(-,root,root)
%doc AUTHORS README TODO
%_bindir/uicsharp*
# should this be part of qtsharp or libqtsharp?
%_libdir/Qt.dll

%files -n %{lib_qtsharp}
%defattr(-,root,root)
%_libdir/libqtsharp.so.*

%files -n %{lib_qtsharp}-devel
%defattr(-,root,root)
%doc src/examples/
%_libdir/libqtsharp.so


%changelog
* Wed Mar 16 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-2mdk
- rebuild without libqtc

* Tue Aug 24 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-1mdk
- split from kdebindings package in main
- move docs to devel package
- epoch 1 for upgrade kdebindings-3.2.3 =< qtsharp-0.7.1
- remove cvs files and dirs before packaging

